<?php
/**
 * Chartist.js for WordPress
 *
 * @package   wp-chartist-js
 * @author    Gion Kunz
 * @license   MIT
 * @link      https://www.orcapia.com/plugins/plugin-wp-chartist-js/
 * @compiler      3.40.31
 * @copyright 2016-2023 orcapia.com
 *
 * @wordpress-plugin
 * Plugin Name:       Chartist.js for WordPress
 * Plugin URI:        https://www.orcapia.com/plugins/plugin-wp-chartist-js/
 * Description:       Simple and highly customizable responsive charts.
 * Version:           1.2.42
 * Author:            Gion Kunz
 * Author URI:        https://github.com/gionkunz
 * Text Domain:       wp-chartist-js
 * License:           MIT
 * License URI:       
 * Domain Path:       /languages
 */
defined('ABSPATH') or die("No direct access");if ( ! defined( 'WP_CHARTIST_JS_FILE' ) ) { define( 'WP_CHARTIST_JS_FILE', __FILE__ ); } include_once dirname( __FILE__ ) . '/includes/wp-chartist-js-init.php'; function wp_chartist_js_on_activation() { if ( ! current_user_can( 'activate_plugins' ) ) return; $plugin = isset( $_REQUEST['plugin'] ) ? $_REQUEST['plugin'] : ''; check_admin_referer( "activate-plugin_{$plugin}" ); if (function_exists('wp_chartist_js_activate')) wp_chartist_js_activate(); } function wp_chartist_js_on_deactivation() { if ( ! current_user_can( 'activate_plugins' ) ) return; $plugin = isset( $_REQUEST['plugin'] ) ? $_REQUEST['plugin'] : ''; check_admin_referer( "deactivate-plugin_{$plugin}" ); if (function_exists('wp_chartist_js_deactivate')) wp_chartist_js_deactivate(); } function wp_chartist_js_on_uninstall() { if ( ! current_user_can( 'activate_plugins' ) ) return; check_admin_referer( 'bulk-plugins' ); if ( __FILE__ != WP_UNINSTALL_PLUGIN ) return; if (function_exists('wp_chartist_js_uninstall')) wp_chartist_js_uninstall(); } register_activation_hook( __FILE__, 'wp_chartist_js_on_activation' ); register_deactivation_hook( __FILE__, 'wp_chartist_js_on_deactivation' ); register_uninstall_hook( __FILE__, 'wp_chartist_js_on_uninstall' ); function wp_chartist_js_load_textdomain() { load_plugin_textdomain( 'wp-chartist-js', false, basename( dirname( __FILE__ ) ) . '/languages' ); } add_action( 'plugins_loaded', 'wp_chartist_js_load_textdomain' ); add_filter( 'plugin_row_meta', 'wp_chartist_js_filter_plugin_row_meta', 10, 4 ); function wp_chartist_js_filter_plugin_row_meta( array $plugin_meta, $plugin_file ) { if ( 'wp-chartist-js/wp-chartist-js.php' !== $plugin_file ) { return $plugin_meta; } $plugin_meta[] = '<a href="https://github.com/chartist-js/chartist" target="_blank">Chartist.js on Github</a>'; return $plugin_meta; }